package com.localmatters.collector.queue.producer;

import com.localmatters.collector.queue.CollectorQueueException;

/**
 * The collector producer service interface.
 *
 * @author Daniel Cavalcanti
 */
public interface ProducerService {
    
    /**
     * Sends a message to the queue.
     * 
     * @param message The message.
     * @throws com.localmatters.collector.queue.consumer.CollectorQueueException If there is an error in the collector queue.
     */
    public void send(String message)
    throws CollectorQueueException;
    
}
